Get a list of all Group Plans
curl --request GET \
--url https://fulfillment.noyo.com/api/v1/groups/{group_id}/plans \
--header 'Authorization: Bearer <token>'import requests
url = "https://fulfillment.noyo.com/api/v1/groups/{group_id}/plans"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://fulfillment.noyo.com/api/v1/groups/{group_id}/plans', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"offset": 0,
"page_num": 1,
"page_size": 20,
"total_records": 2
},
"response": [
{
"carrier_id": "d0003042-eaae-4491-b219-4825456a3d16",
"cobra_rules": {
"eligible": false
},
"code": "D1",
"created": 1554175253,
"effective_end_date": "9999-12-31",
"effective_start_date": "2020-01-01",
"eligible_member_types": [
"employee"
],
"group_enrollment_id": "31559b4b-e45a-4df8-84f6-2220d7ed0c3a",
"id": "5ba915fc-afe8-4572-a60f-61ee5883e100",
"line_of_coverage": "dental",
"modified": 1554175253,
"name": "Dental - Employee",
"network": "Dental PPO Network",
"plan_type": "ppo",
"status": "active",
"termination_policy": "end_of_month",
"version": "1bf06a82-8d81-4849-91d3-47c60fdce605",
"voluntary": false,
"waiting_periods": [
{
"waiting_period_enrollment_type": "new_member",
"waiting_period_rule": "hire_date"
},
{
"waiting_period_amount": 0,
"waiting_period_enrollment_type": "current_member",
"waiting_period_rule": "after_waiting_period",
"waiting_period_unit": "day"
}
]
},
{
"carrier_id": "d0003042-eaae-4491-b219-4825456a3d16",
"cobra_rules": {
"eligible": false
},
"code": "D1",
"created": 1554175253,
"effective_end_date": "9999-12-31",
"effective_start_date": "2020-01-01",
"eligible_member_types": [
"spouse",
"child"
],
"group_enrollment_id": "31559b4b-e45a-4df8-84f6-2220d7ed0c3a",
"id": "c1279c1c-ed61-439b-bd9c-07f3228c09cb",
"line_of_coverage": "dental",
"modified": 1554175253,
"name": "Dental - Dependent",
"network": "Dental PPO Network",
"plan_type": "ppo",
"status": "active",
"termination_policy": "end_of_month",
"version": "a6404fb2-f266-45b0-a6b7-84b047f017cf",
"voluntary": false,
"waiting_periods": [
{
"waiting_period_enrollment_type": "new_member",
"waiting_period_rule": "hire_date"
},
{
"waiting_period_amount": 0,
"waiting_period_enrollment_type": "current_member",
"waiting_period_rule": "after_waiting_period",
"waiting_period_unit": "day"
}
]
}
]
}Plans
Get Group Plan List
Get a list of plans for a group
GET
/
api
/
v1
/
groups
/
{group_id}
/
plans
Get a list of all Group Plans
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The unique identifier of the group for which you would like to view plans
Example:
"31559b4b-e45a-4df8-84f6-2220d7ed0c3a"
Query Parameters
Status of the group plans for which you would like to filter
Line of coverage of the group plans for which you would like to filter
The unique identifier of the carrier of the group plans for which you would like to filter
Example:
"2613a221-d3c8-4c8a-86d5-e7e885fd1da9"
The relative date on which to view the state of the record
The max size of each page of results
The integer offset at which to start the page. Possible values are 0 to total_records - 1
Was this page helpful?
⌘I
